commit:     e9b82a6e088cb33b76a08aa41afcf2306967b97a
Author:     Marco Scardovi <marco <AT> scardovi <DOT> com>
AuthorDate: Wed Jun  9 14:04:40 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jun 10 06:38:36 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9b82a6e

app-dicts/myspell-en: update logic for en-US

Closes: https://github.com/gentoo/gentoo/pull/16938
Bug: https://bugs.gentoo.org/731704
Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Marco Scardovi <marco <AT> scardovi.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-dicts/myspell-en/myspell-en-20210601-r1.ebuild | 52 ++++++++++++++++++++++
 1 file changed, 52 insertions(+)

diff --git a/app-dicts/myspell-en/myspell-en-20210601-r1.ebuild 
b/app-dicts/myspell-en/myspell-en-20210601-r1.ebuild
new file mode 100644
index 00000000000..e1e7bc9b3f5
--- /dev/null
+++ b/app-dicts/myspell-en/myspell-en-20210601-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit myspell-r2
+
+DESCRIPTION="English dictionaries for myspell/hunspell"
+HOMEPAGE="https://extensions.libreoffice.org/extensions/english-dictionaries";
+SRC_URI="https://extensions.libreoffice.org/assets/downloads/41/dict-en-20210601.oxt";
+
+LICENSE="BSD MIT LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris 
~x86-solaris"
+
+PLOCALES=( "en" "en-AU" "en-CA" "en-GB" "en-US" "en-ZA" )
+IUSE+="${PLOCALES[@]/#/l10n_}"
+REQUIRED_USE="|| ( ${IUSE[@]} )"
+
+src_prepare() {
+       if use l10n_en-GB || use l10n_en; then
+               MYSPELL_HYPH+=( "hyph_en_GB.dic" )
+       fi
+       if use l10n_en-US || use l10n_en; then
+               MYSPELL_THES+=(
+                       "th_en_US_v2.dat"
+                       "th_en_US_v2.idx"
+               )
+       fi
+
+       MYSPELL_DICT=( )
+       for lang in "${PLOCALES[@]}"; do
+               if [[ "${lang}" == "en" ]]; then
+                       continue
+               fi
+               local mylinguas="${lang//-/_}"
+               if use "l10n_${lang}" || use l10n_en; then
+                       MYSPELL_DICT+=( "${mylinguas}.aff" "${mylinguas}.dic" )
+               else
+                       rm "README_${mylinguas}.txt" || die
+                       if [[ ${lang} == "en-US" ]]; then
+                               rm "README_hyph_en_US.txt" || die
+                       fi
+                       if [[ ${lang} == "en-GB" ]]; then
+                               rm "README_hyph_en_GB.txt" || die
+                               rm "README_en_GB_thes.txt" || die
+                       fi
+               fi
+       done
+
+       default
+}

Reply via email to